Subject: Re: bug#23104: 25.1.50; Emacs freezes when killing large text

From: Alexis <[email-masked]>
Date: Mon, 11 Apr 2016 09:58:36 +1000

Nicolas Petton <[email-masked]> writes:

> When killing a very large buffer of JSON data (12000 lines of 
> JSON), Emacs freezes.
>
> Emacs becomes unresponsive when I kill the contents of the 
> buffer after I put it in fundamental-mode as well.
>
> I won't attach the file as it is 459K, but the issue can be 
> reproduced with 12000 lines of the following JSON:

Eli Zaretskii <[email-masked]> writes:

> I can't reproduce this, so it's probably at least X-related, and 
> perhaps also specific to your system setup.  (E.g., is there 
> some clipboard managing agent running that could come in the 
> way?)

i can't reproduce this with master as at commit d6ea6453, running 
GUI Emacs under X on Debian Jessie x86_64.